ImportError: nessun modulo denominato pip

| | | | | | | | | | | | | | | | | | | |

OS: Mac OS X 10.7.5 Python Ver: 2.7.5

Ho installato setuptools 1.0 con ez_setup.py da https://pypi.python.org/pypi/setuptools Poi scarico pip.1.4.1 pkg da https://pypi.python.org/pypi/pip/1.4.1.

Esegui (sudo) python setup.py install in iTerm mostra che

eseguendo install eseguendo bdist_egg eseguendo egg_info scrivendo requisiti su pip.egg-info/requires .txt scrivendo pip.egg-info/PKG-INFO scrivendo nomi di primo livello su pip.egg-info/top_level.txt scrivendo dependency_links su pip.egg-info/dependency_links.txt scrivendo punti di ingresso su pip.egg-info/entry_points .txt avviso: manifest_maker: file standard "setup.py" non trovato leggendo il file manifest "pip.egg-info/SOURCES.txt" scrivendo il file manifest "pip.egg-info/SOURCES.txt" installando il codice della libreria in build/bdist .macosx-10,6 pollici tel/egg in esecuzione install_lib avviso: install_lib: "build/lib" non esiste -- nessun modulo Python da installare creazione build/bdist.macosx-10.6-intel/egg creazione build/bdist.macosx-10.6-intel/egg/EGG -INFO copia pip.egg-info/PKG-INFO -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copiando pip.egg-info/SOURCES.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copia di pip.egg-info/dependency_links.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copia di pip.egg-info/entry_points.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copia di pip.egg-info/not-zip-safe -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copiando pip.egg-info/requires.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO copiando pip.egg-info/top_level.txt -> build/bdist.macosx-10.6-intel/egg/EGG-INFO creando "dist/pip-1.4.1-py2.7.egg" e aggiungendo "build/bdist.macosx-10.6-intel/egg" rimuovendo " build/bdist.macosx-10.6-intel/egg" (e tutto ciò che contiene) Elaborazione di pip-1.4.1-py2.7.egg rimozione "/Users/dl/Library/Python/2.7/lib/python/site-packages /pip-1.4.1-py2.7.egg" (e tutto ciò che contiene) creando /Users/dl/Library/Python/2.7/lib/python/site-packages/pip-1.4.1-py2.7.egg Estrazione di pip-1.4.1-py2.7.egg in /Users/dl/Library/Python/2.7/lib/python/site-packages pip 1.4.1 è già la versione attiva in easy-install.pth Installazione dello script pip su /Utenti/dl/Library/Python/2.7/bin Installazione dello script pip-2.7 in /Utenti/dl/Library/Python/2.7/bin Installato /Utenti/dl/Library/Python/2.7/lib/python/site-packages/ pip-1.4.1-py2.7.egg Elaborazione delle dipendenze per pip==1.4.1 Elaborazione finita delle dipendenze per pip==1.4.1 

Poi ho inserito pip install, il messaggio di errore è apparso in questo modo

Traceback (ultima chiamata più recente): File "/Library/Frameworks/Python.framework/Versions/2.7/bin/pip", riga 9, in <module> load_entry_point("pip==1.4.1", "console_scripts", "pip")() File "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", riga 357, nel file load_entry_point "build/bdist .macosx-10.6-intel/egg/pkg_resources.py", riga 2394, nel file load_entry_point "build/bdist.macosx-10.6-intel/egg/pkg_resources.py", riga 2108, in caricamento ImportError: Nessun modulo denominato pip 

Qualcuno che ha già riscontrato lo stesso problema e può darmi alcuni suggerimenti per risolverlo?